$(window).scroll(function () {
  console.log($(window).scrollTop())
  if ($(window).scrollTop() > 50) {
    $('.navbar').addClass('navbar-fixed');
  }
  if ($(window).scrollTop() < 50) {
    $('.navbar').removeClass('navbar-fixed');
  }
});

 

$(document).ready(function(){

  $('#megabutton').click(function(){
    $('#megadrop').toggle(1000);
  });

});